Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1356151

Summary: Bring lvcreate --extents explanation in line w/ corrected manpage information
Product: Red Hat Enterprise Linux 7 Reporter: mulhern <amulhern>
Component: doc-Logical_Volume_ManagerAssignee: Steven J. Levine <slevine>
Status: CLOSED CURRENTRELEASE QA Contact: ecs-bugs
Severity: low Docs Contact:
Priority: unspecified    
Version: 7.3CC: adstrong, agk, amulhern, cluster-qe, coughlan, heinzm, jbrassow, msnitzer, prajnoha, prockai, rbednar, rhel-docs, slevine, teigland, thornber, tlavigne, zkabelac
Target Milestone: rcKeywords: Documentation, FutureFeature
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1269893 Environment:
Last Closed: 2016-11-07 21:24:53 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1269893    
Bug Blocks:    

Comment 2 Steven J. Levine 2016-09-14 18:52:48 UTC
I have updated the description of the -l option of lvcreate to reflect the updated man page in the RHEL 7.3 draft.  The description now begins with this paragraph:

"You can use the -l argument of the lvcreate command to specify the size of the logical volume in extents. You can also use this argument to specify the percentage of of the size of a related volume group, logical volume, or set of physical volumes. The suffix %VG denotes the total size of the volume group, the suffix %FREE the remaining free space in the volume group, and the suffix %PVS the free space in the specified physical volumes. For a snapshot, the size can be expressed as a percentage of the total size of the origin logical volume with the suffix %ORIGIN (100%ORIGIN provides space for the whole origin). When expressed as a percentage, the size defines an upper limit for the number of logical extents in the new logical volume. The pre‐ cise number of logical extents in the new LV is not determined until the command has completed. "

The examples remain the same:

The following command creates a logical volume called mylv that uses 60% of the total space in volume group testvg.

# lvcreate -l 60%VG -n mylv testvg

The following command creates a logical volume called yourlv that uses all of the unallocated space in the volume group testvg.

# lvcreate -l 100%FREE -n yourlv testvg

This can be seen in this document, section 4.4.1:

http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Enterprise_Linux-7-Logical_Volume_Manager_Administration%20%28html-single%29/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#create_linear_volumes

Comment 3 Steven J. Levine 2016-10-21 18:46:39 UTC
The info in the doc for 7.3 is now consistent with the man page so I'm closing this out.